Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi.spi
Class MidiDeviceProvider

    java.lang.Object
      |
      +--javax.sound.midi.spi.MidiDeviceProvider

public abstract class MidiDeviceProvider
extends Object

A `MidiDeviceProvider` is a factory or provider for a particular type of MIDI device. This mechanism allows the implementation to determine how resources are managed in the creation and management of a device.

Constructor Summary
`MidiDeviceProvider()`

Method Summary
`abstract MidiDevice` | `getDevice(MidiDevice.Info info)` Obtains an instance of the device represented by the info object.
`abstract MidiDevice.Info[]` | `getDeviceInfo()` Obtains the set of info objects representing the device or devices provided by this `MidiDeviceProvider`.
`boolean` | `isDeviceSupported(MidiDevice.Info info)` Indicates whether the device provider supports the device represented by the specified device info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidiDeviceProvider

    public MidiDeviceProvider()

Method Detail

### isDeviceSupported

    public boolean isDeviceSupported(MidiDevice.Info info)

  Indicates whether the device provider supports the device represented by the specified device info object.
  Parameters:
    `an` - info object that describes the device for which support is queried
  Returns:
    `true` if the specified device is supported, otherwise `false`

### getDeviceInfo

    public abstract MidiDevice.Info[] getDeviceInfo()

  Obtains the set of info objects representing the device or devices provided by this `MidiDeviceProvider`.
  Returns:
    set of device info objects

### getDevice

    public abstract MidiDevice getDevice(MidiDevice.Info info)

  Obtains an instance of the device represented by the info object.
  Parameters:
    `info` - an info object that describes the desired device
  Returns:
    device instance
  Throws:
    `IllegalArgumentException` - if the info object specified does not match the info object for a device supported by this `MidiDeviceProvider`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.